Foreman - Feature #36747

Satellite 6.12 is still using katello-ca to register hosts during provisioning instead of Gloabl
Registration Template

09/14/2023 03:04 PM - Nofar Alfassi

Status: Closed

Priority: Low

Assignee: Nofar Alfassi

Category: Unattended installations

Target version:

Difficulty: Fixed in Releases: 3.10.0,3.9.0
Triaged: No Found in Releases:
Bugzilla link: 2153548 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/9837,
https://github.com/theforeman/foreman/p
ull/9943
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=2153548

1. Proposed title of this feature request : While provisioning the hosts should be registered using the Global Registration Template

3. What is the nature and description of the request?
- Customer is using a clone template of Kickstart default template to provision the host.

4. Why does the customer need this? (List the business requirements here)
- Since katello-ca rpm is deprecated customers concern is it should not be used and the new method i.e. Global Registration
Template should be used

5. How would the customer like to achieve this? (List the functional requirements here)
- By using the Global Registration Template while provisioning.

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully
implemented.
- By provisioning a host using Kickstart default template.

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?
-NA

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
-NA

9. Is the sales team involved in this request and do they have any additional input?
- No

10. List any affected packages or components.
- Provisioning, Katello-ca

11. Would the customer be able to assist in testing this functionality if implemented?
- Yes

Associated revisions

Revision dd26cc3f - 11/30/2023 07:31 PM - Nofar Alfassi
Fixes #36747 - create new snippet for subscription-manager setup
This snippet replaces the use of the katello-ca-consumer RPM for host

registration. It incorporates the necessary code from the Global Registration
template to streamline subscription-manager configuration during provisioning.
History

#1 - 09/14/2023 03:06 PM - Nofar Alfassi

- Subject changed from Satellite 6.12 is still using katello-ca to register hosts during provisioning instead of Gloabl Registration Template
to Satellite 6.12 is still using katello-ca to register hosts during provisioning instead of Gloabl Registration Template

- Assignee set to Nofar Alfassi

#2 - 09/20/2023 10:37 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/9837 added

#3 - 11/30/2023 07:31 PM - The Foreman Bot
- Fixed in Releases 3.10.0 added

#4 - 11/30/2023 08:00 PM - Nofar Alfassi
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|dd26cc3f25b793cd995064b720a769b983aff53a.

#5 - 12/03/2023 09:41 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/9943 added

#6 - 12/04/2023 09:31 AM - The Foreman Bot
- Fixed in Releases 3.9.0 added

#7 - 02/05/2024 11:54 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/10005 added

#8 - 02/13/2024 09:29 AM - Nofar Alfassi
- Pull request deleted (https://github.com/theforeman/foreman/pull/10005)
